Subject: bug#27923: 24.3; -iconic switch screws up geometry

From: Geoff Kuenning <[email-masked]>
Date: Thu, 16 Nov 2017 15:20:25 -0800

One other thing: I just checked the actual width of my frame by 
typing 80 characters, and it's 80 characters even though xwininfo 
is reporting 79.  So I think this is either an actual xwininfo 
bug, or a minor interaction between emacs and X that causes the 
character size of a pixel window to be seen slightly incorrectly.

>>> Do you mean that both sizes are off by one - 80/79 and 78/77 ? 
>>> What do
>>
>> Yes, the size should be 80x78 and instead comes up as 
>> 79x77. Weird, huh?
>
> There might be some snafu with how to count in toolbar, menubar 
> and
> scrollbar.
>
>>> M-: (frame-width) RET
>>>
>>> and
>>>
>>> M-: (frame-height)
>>
>> I'll try to remember to try those tomorrow.
>
> Please do that.  It will tell us what Emacs thinks about the 
> "realized"
> size.
>
> martin
>

-- 
    Geoff Kuenning   [email-masked] 
    http://www.cs.hmc.edu/~geoff/

The P in "PDF" is a lie.